%global momorel 2

Name:           supertuxkart
Version:        0.6.1a
Release:        %{momorel}m%{?dist}
Summary:        Kids 3D go-kart racing game featuring Tux
Group:          Amusements/Games
License:        GPLv2+
URL:            http://supertuxkart.sourceforge.net/
Source0:        http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
NoSource:       0
Source1:        %{name}.6
Patch0:         supertuxkart-fhs.patch
Patch1:         supertuxkart-0.3-desktop.patch
Patch2:         supertuxkart-0.3-default-fs.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
PreReq:         coreutils
Requires:       opengl-games-utils
BuildRequires:  SDL-devel 
BuildRequires:  desktop-file-utils
BuildRequires:  freealut-devel 
BuildRequires:  libvorbis-devel 
BuildRequires:  mikmod
BuildRequires:  plib 

%description
3D go-kart racing game for kids with several famous OpenSource mascots
participating. Race as Tux against 3 computer players in many different fun
race courses (Standard race track, Dessert, Mathclass, etc). Full information
on how to add your own race courses is included. During the race you can pick
up powerups such as: (homing) missiles, magnets and portable zippers.

%prep
%setup -q
%patch0 -p1 -z .fhs
%patch1 -p1 -z .desktop
%patch2 -p1 -z .fs
# some cleanups
chmod -x AUTHORS COPYING ChangeLog README TODO
chmod -x `find -name "*.cpp" -o -name "*.hpp"`
rm -fr data/karts/*/.svn data/karts/.svn
# stop automake from rerunning because of our patches above
touch src/Makefile.in

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT transform='s,x,x,'
# easier then patching all the Makefile's
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mv $RPM_BUILD_ROOT%{_prefix}/games/%{name} $RPM_BUILD_ROOT%{_bindir}
mv $RPM_BUILD_ROOT%{_datadir}/games/%{name} $RPM_BUILD_ROOT%{_datadir}
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/data/po $RPM_BUILD_ROOT%{_datadir}/locale
rm $RPM_BUILD_ROOT%{_datadir}/locale/*.po
rm $RPM_BUILD_ROOT%{_datadir}/locale/%{name}.pot
ln -s ../../locale $RPM_BUILD_ROOT%{_datadir}/%{name}/data/po

%find_lang %{name}

ln -s opengl-game-wrapper.sh $RPM_BUILD_ROOT%{_bindir}/%{name}-wrapper

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor= --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps
mv $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}_32.xpm \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.xpm
mv $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}_64.xpm \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/%{name}.xpm

# add the manpage (courtesy of Debian)
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man6

# remove the installed docs (we include them through %doc)
rm -r $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
rm -rf %{_datadir}/%{name}/data/po

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/%{name}*
%{_datadir}/%{name}
%{_mandir}/man6/%{name}.6*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.xpm

%changelog
* Mon Jun 15 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.1a-2m)
- enable upgrading

* Fri Jun  5 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.1a-1m)
- update to 0.6.1a based on Fedora 11 (0.6.1-2)

* Thu Feb  5 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5-6m)
- apply gcc44 patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5-5m)
- rebuild against rpm-4.6

* Sun Jan 11 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5-4m)
- update Patch0 for fuzz=0
- drop Patch3 for fuzz=0, already merged upstream
- License: GPLv2+
- change URL

* Thu Oct  9 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5-3m)
- [BUG FIX] fix up supertuxkart.desktop

* Sun Jun 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5-2m)
- add Requires: opengl-games-utils

* Sat Jun 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5-1m)
- update to 0.5

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3-3m)
- %%NoSource -> NoSource

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.3-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Sun Aug 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3-1m)
- import from Fedora

* Wed Aug 15 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.3-1
- New upstream release 0.3
- Drop most patches (all fixed upstream)
- Update License tag for new Licensing Guidelines compliance

* Fri Oct  6 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.2-3
- replace some more coprighted images and sounds
- fix a bunch of joystick related bugs

* Mon Sep 25 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.2-2
- rename images-legal.txt to supertuxkart-images-legal.txt
- add a changelog entry for the previous release (and this one)

* Mon Sep 25 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.2-1
- initial Fedora Extras package (replacing regular tuxkart)
